> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Statement

> Returns a chronological list of all financial movements for the authenticated
user's account, including card transactions (both pending and settled),
deposits, and withdrawals.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/statement
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/statement:
    get:
      tags:
        - User
      summary: Get Account Statement
      description: >-
        Returns a chronological list of all financial movements for the
        authenticated

        user's account, including card transactions (both pending and settled),

        deposits, and withdrawals.
      operationId: User_getUserStatement
      parameters:
        - name: limit
          in: query
          required: false
          description: Maximum number of items to return (1-100).
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 100
          explode: false
        - name: cursor
          in: query
          required: false
          description: Cursor for pagination. Use the value from the previous response.
          schema:
            type: string
          explode: false
        - name: startDate
          in: query
          required: false
          description: Filter by start date (inclusive).
          schema:
            type: string
            format: date-time
          explode: false
        - name: endDate
          in: query
          required: false
          description: Filter by end date (inclusive).
          schema:
            type: string
            format: date-time
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserStatementResponse'
        '400':
          description: The server could not understand the request due to invalid syntax.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserStatementBadRequestBody'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserStatementNotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserStatementBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetUserStatementResponse:
      type: object
      required:
        - data
        - pagination
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UserStatementItem'
        pagination:
          $ref: '#/components/schemas/UserStatementPagination'
    UserStatementBadRequestBody:
      type: object
      oneOf:
        - $ref: '#/components/schemas/UserStatementValidationError'
        - $ref: '#/components/schemas/UserStatementBusinessError'
      discriminator:
        propertyName: kind
        mapping:
          validation:
            $ref: '#/components/schemas/UserStatementValidationError'
          business:
            $ref: '#/components/schemas/UserStatementBusinessError'
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserStatementNotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserStatementBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    UserStatementItem:
      type: object
      oneOf:
        - $ref: '#/components/schemas/UserStatementCardTransaction'
        - $ref: '#/components/schemas/UserStatementDeposit'
        - $ref: '#/components/schemas/UserStatementWithdrawal'
      discriminator:
        propertyName: type
        mapping:
          card_transaction:
            $ref: '#/components/schemas/UserStatementCardTransaction'
          deposit:
            $ref: '#/components/schemas/UserStatementDeposit'
          withdrawal:
            $ref: '#/components/schemas/UserStatementWithdrawal'
    UserStatementPagination:
      type: object
      required:
        - nextCursor
        - hasNext
      properties:
        nextCursor:
          anyOf:
            - type: string
            - type: 'null'
        hasNext:
          type: boolean
    UserStatementValidationError:
      type: object
      required:
        - kind
        - success
        - error
      properties:
        kind:
          type: string
          enum:
            - validation
        success:
          type: boolean
          enum:
            - false
        error:
          $ref: '#/components/schemas/ValidationErrorDetail'
    UserStatementBusinessError:
      type: object
      required:
        - kind
        - success
        - error
      properties:
        kind:
          type: string
          enum:
            - business
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    UserStatementCardTransaction:
      type: object
      required:
        - type
        - id
        - status
        - amount
        - currency
        - decimals
        - originalAmount
        - originalCurrency
        - originalDecimals
        - isCredit
        - createdAt
        - updatedAt
        - description
        - authorizationId
        - mcc
        - authorizationCode
        - merchant
        - entryMode
        - billing
        - transactionCurrency
        - cardId
        - cardToken
        - clearedAt
        - isPending
        - kind
        - transactions
        - declineReason
        - wallet
      properties:
        type:
          type: string
          enum:
            - card_transaction
        id:
          type: string
        status:
          $ref: '#/components/schemas/UserStatementCardTransactionStatus'
        amount:
          type: string
        currency:
          type: string
        decimals:
          type: integer
          format: int32
        originalAmount:
          type: string
        originalCurrency:
          type: string
        originalDecimals:
          type: integer
          format: int32
        isCredit:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        description:
          type: string
        authorizationId:
          type: integer
          format: int64
        mcc:
          type: string
        authorizationCode:
          type: string
        merchant:
          $ref: '#/components/schemas/UserStatementMerchantDetails'
        entryMode:
          type: string
        billing:
          $ref: '#/components/schemas/UserStatementBillingDetails'
        transactionCurrency:
          $ref: '#/components/schemas/UserStatementCurrencyMetadata'
        cardId:
          $ref: '#/components/schemas/uuid'
        cardToken:
          anyOf:
            - type: string
            - type: 'null'
        clearedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        isPending:
          type: boolean
        kind:
          $ref: '#/components/schemas/UserStatementTransactionKind'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/UserStatementTransactionExecutionDetail'
        declineReason:
          anyOf:
            - $ref: '#/components/schemas/UserStatementDeclineReason'
            - type: 'null'
        wallet:
          anyOf:
            - $ref: '#/components/schemas/UserStatementWallet'
            - type: 'null'
    UserStatementDeposit:
      type: object
      required:
        - type
        - id
        - status
        - amount
        - currency
        - decimals
        - fiatCurrency
        - isCredit
        - createdAt
        - description
        - txHash
        - fromAddress
        - chainId
      properties:
        type:
          type: string
          enum:
            - deposit
        id:
          type: string
        status:
          $ref: '#/components/schemas/UserStatementDepositStatus'
        amount:
          type: string
        currency:
          type: string
        decimals:
          type: integer
          format: int32
        fiatCurrency:
          type: string
        isCredit:
          type: boolean
        createdAt:
          type: string
          format: date-time
        description:
          type: string
        txHash:
          type: string
        fromAddress:
          type: string
        chainId:
          type: integer
          format: int32
    UserStatementWithdrawal:
      type: object
      required:
        - type
        - id
        - status
        - amount
        - currency
        - decimals
        - fiatCurrency
        - isCredit
        - createdAt
        - description
        - txHash
        - toAddress
        - chainId
      properties:
        type:
          type: string
          enum:
            - withdrawal
        id:
          type: string
        status:
          $ref: '#/components/schemas/UserStatementWithdrawalStatus'
        amount:
          type: string
        currency:
          type: string
        decimals:
          type: integer
          format: int32
        fiatCurrency:
          type: string
        isCredit:
          type: boolean
        createdAt:
          type: string
          format: date-time
        description:
          type: string
        txHash:
          anyOf:
            - type: string
            - type: 'null'
        toAddress:
          type: string
        chainId:
          type: integer
          format: int32
    ValidationErrorDetail:
      type: object
      required:
        - name
        - message
      properties:
        name:
          type: string
          enum:
            - ValidationError
        message:
          type: string
    UserStatementCardTransactionStatus:
      type: string
      enum:
        - pending
        - settled
        - cancelled
        - declined
    UserStatementMerchantDetails:
      type: object
      required:
        - name
        - city
        - country
        - categoryCode
      properties:
        name:
          type: string
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          type: string
        categoryCode:
          type: string
    UserStatementBillingDetails:
      type: object
      required:
        - billingAmount
        - billingCurrency
      properties:
        billingAmount:
          type: string
        billingCurrency:
          $ref: '#/components/schemas/UserStatementCurrencyMetadata'
    UserStatementCurrencyMetadata:
      type: object
      required:
        - symbol
        - code
        - decimals
        - name
      properties:
        symbol:
          anyOf:
            - type: string
            - type: 'null'
        code:
          type: string
        decimals:
          type: integer
          format: int32
        name:
          anyOf:
            - type: string
            - type: 'null'
    uuid:
      type: string
      format: uuid
    UserStatementTransactionKind:
      type: string
      enum:
        - Payment
        - Refund
        - Reversal
    UserStatementTransactionExecutionDetail:
      type: object
      required:
        - status
        - to
        - value
        - data
        - hash
      properties:
        status:
          anyOf:
            - type: string
            - type: 'null'
        to:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        data:
          anyOf:
            - type: string
            - type: 'null'
        hash:
          anyOf:
            - type: string
            - type: 'null'
    UserStatementDeclineReason:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    UserStatementWallet:
      type: object
      required:
        - provider
        - deviceBrand
        - deviceModel
        - deviceType
        - deviceName
      properties:
        provider:
          $ref: '#/components/schemas/UserStatementWalletProvider'
        deviceBrand:
          anyOf:
            - type: string
            - type: 'null'
        deviceModel:
          anyOf:
            - type: string
            - type: 'null'
        deviceType:
          anyOf:
            - type: string
            - type: 'null'
        deviceName:
          anyOf:
            - type: string
            - type: 'null'
    UserStatementDepositStatus:
      type: string
      enum:
        - pending
        - approved
        - rejected
    UserStatementWithdrawalStatus:
      type: string
      enum:
        - pending
        - processing
        - completed
        - failed
    UserStatementWalletProvider:
      type: string
      enum:
        - apple_pay
        - google_pay
        - samsung_pay
        - other
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````